VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{16553F66-F4E5-43BF-B959-1B8F8FF822DE}#1.0#0"; "VB6Barcode.ocx"
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "VB6Barcode Example"
   ClientHeight    =   2925
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   9105
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   177
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2925
   ScaleWidth      =   9105
   StartUpPosition =   2  'CenterScreen
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   7800
      Top             =   240
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdSave 
      Caption         =   "Save As..."
      Height          =   375
      Left            =   6120
      TabIndex        =   4
      Top             =   360
      Width           =   1575
   End
   Begin VB.TextBox txtCode 
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   360
      Width           =   2055
   End
   Begin VB.ComboBox cmbCodeNames 
      Height          =   315
      ItemData        =   "frmMain.frx":0000
      Left            =   2280
      List            =   "frmMain.frx":0010
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   360
      Width           =   1575
   End
   Begin VB.CommandButton cmdCopy 
      Caption         =   "Copy to the clipboard"
      Height          =   375
      Left            =   3960
      TabIndex        =   2
      Top             =   360
      Width           =   2055
   End
   Begin VB6Barcode.cBarCode cBarCode1 
      Height          =   1980
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   8655
      _ExtentX        =   15266
      _ExtentY        =   3493
      CodeName        =   "0"
      Value           =   "15236325"
   End
   Begin VB.Label Label1 
      Caption         =   "Type your code here:"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   120
      Width           =   2415
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'
'Barcode Label ActiveX
'
'Barcode Label ActiveX is an OCX control for software developers
'and for software authors that can make a barcode image directly from
'your program.

'The control supports code 39, code 128, code 2/5, and codabar, you
'can copy the code, print it to a file, or to the priner, fast and easy.
'
'Homepage:
'https://wwww.microncode.com/developers/vb6-barcode.html
'

Option Explicit

Private Sub cmdCopy_Click()

    'Copy the barcode image to the clipboard
    
    cBarCode1.Copy
     
End Sub

Private Sub cmdSave_Click()
    
    'Save the barcode image to a picture to the local hard-drive
    
    On Error GoTo ErrorHandler
    
    CommonDialog1.CancelError = True
    CommonDialog1.Filter = "Bitmaps|*.bmp"
    CommonDialog1.FileName = ""
    CommonDialog1.ShowOpen
    
    cBarCode1.save CommonDialog1.FileName
    
ErrorHandler:
End Sub

Private Sub cmbCodeNames_Click()
    Call txtCode_Change
End Sub

Private Sub Form_Load()
    
    'Init the component, must be call before
    'using any functionality of the component.
    
    cBarCode1.Init "Trial Mode."
    
    'Select the first mode
    cmbCodeNames.ListIndex = 0
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    
    'Realese the component
    cBarCode1.DeInit
    
End Sub

Private Sub txtCode_Change()
    
    'Create the barcode
    
    cBarCode1.CodeName = cmbCodeNames.ItemData(cmbCodeNames.ListIndex)
    cBarCode1.Value = txtCode.Text
    
End Sub

